## org.eclipse.emf.ecore.sdo
Interface EProperty

All Superinterfaces:
  EObject, Notifier, Property

All Known Implementing Classes:
  EPropertyImpl

    public interface EProperty

extends EObject, Property

A representation of the model object 'EProperty'.

The following features are supported:

- `EStructural Feature`

See Also:
  `SDOPackage.getEProperty()`

Method Summary
`EStructuralFeature` `getEStructuralFeature()` Returns the value of the 'EStructural Feature' reference
`boolean` `isReadOnly()` Returns true if values for this property cannot be modified using the SDO APIs.
`void` `setEStructuralFeature(EStructuralFeature value)` Sets the value of the '`EStructural Feature`' reference
`void` `setReadOnly(boolean readOnly)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface commonj.sdo.Property
`getContainingType, getDefault, getName, getType, isContainment, isMany`

Method Detail

### getEStructuralFeature

    EStructuralFeature getEStructuralFeature()

  Returns the value of the 'EStructural Feature' reference.

  If the meaning of the 'EStructural Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EStructural Feature' reference.
  See Also:
    `setEStructuralFeature(EStructuralFeature)`, `SDOPackage.getEProperty_EStructuralFeature()`

### setEStructuralFeature

    void setEStructuralFeature(EStructuralFeature value)

  Sets the value of the '`EStructural Feature`' reference.

  Parameters:
    `value` - the new value of the 'EStructural Feature' reference.
  See Also:
    `getEStructuralFeature()`

### isReadOnly

    boolean isReadOnly()

  Returns true if values for this property cannot be modified using the SDO APIs. When true, DataObject.set(Property) throws an exception. Values may change due to other factors, such as services operating on DataObjects.

  Returns:
    true if values for this property cannot be modified.

### setReadOnly

    void setReadOnly(boolean readOnly)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.